API ReferenceGeneratedAgents

Poll a run

Follow a long-running task, and fetch its outcome after an administrator approves a paused step.

GET
/{appUid}/agent/runs/{runUid}

Authorization

bearerAuth
AuthorizationBearer <token>

Authorization for API

In: header

Path Parameters

runUid*string

The run handle returned by POST /agent/invoke.

appUid*string

Your app's unique id. Find it in the console under the app's Settings, or in the URL of any app page.

Formatuuid

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/497f6eca-6276-4993-bfeb-53cbbbba6f08/agent/runs/string"
{  "runUid": "string",  "status": "string",  "resumable": true,  "message": "string",  "pendingSteps": [    {      "stepIndex": 0,      "tool": "string",      "riskLevel": "string",      "input": {}    }  ],  "steps": [    {      "stepIndex": 0,      "tool": "string",      "status": "string",      "output": {},      "detail": "string"    }  ],  "actions": {    "poll": "string",    "dashboard": "string"  }}